> ## Documentation Index
> Fetch the complete documentation index at: https://chargecloud.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a station

> Creates a station. Required permission: assets:station:create



## OpenAPI

````yaml /api/core-api/crmiapi.json post /api/v1/assets/stations
openapi: 3.1.1
info:
  title: chargecloud - Core API
  summary: chargecloud Core API. All around CRM, Asset Management and more.
  version: 1.113.1
  description: chargecloud Core API. All around CRM, Asset Management and more.
servers:
  - url: https://api.chargecloud.dev
    description: Production - chargecloud Core API
  - url: https://demo.chargecloud.de
    description: Sandbox/Dev - chargecloud Core API
security: []
paths:
  /api/v1/assets/stations:
    post:
      tags:
        - Stations
      summary: Creates a station
      description: 'Creates a station. Required permission: assets:station:create'
      operationId: /api/v1/assets/stations_POST
      parameters: []
      requestBody:
        description: 'Creates a station. Required permission: assets:station:create'
        content:
          application/json:
            schema:
              type: object
              required:
                - location_id
              properties:
                location_id:
                  type: integer
                  format: int32
                  minimum: 0
                  description: Id of the location
                controller_id:
                  type: integer
                  format: int32
                  description: Id of the Controller
                export:
                  type: boolean
                  default: true
                  description: Export
                evse:
                  type: string
                  maxLength: 50
                  description: Evses of the chargepoints
                charging_technology:
                  type: string
                  enum:
                    - inductive
                    - conductive
                  description: Charging Technology
                position:
                  type: string
                  maxLength: 100
                  description: Position
                vehicle_type:
                  type: string
                  enum:
                    - ruralenergy
                    - omnibus
                    - four_wheeled
                    - two_wheeled
                  description: Vehicle Type
                status:
                  type: string
                  enum:
                    - in_planning
                    - under_construction
                    - factory_acceptance_test
                    - demo
                    - active
                    - defect
                    - out_of_order
                    - removed
                    - undefined
                  description: Status
                start_date:
                  type: string
                  format: date
                  pattern: ^\d{4}-\d{2}-\d{2}$
                  description: Date of start
                target_date:
                  type: string
                  format: date
                  pattern: ^\d{4}-\d{2}-\d{2}$
                  description: Date of target
                active_date:
                  type: string
                  format: date
                  pattern: ^\d{4}-\d{2}-\d{2}$
                  description: Date of activation
                out_of_order_date:
                  type: string
                  format: date
                  pattern: ^\d{4}-\d{2}-\d{2}$
                  description: Out of order date
                ip_protection_type:
                  type: string
                  maxLength: 5
                  description: IP protection type
                particularities:
                  type: string
                  maxLength: 64
                  description: Particularities
                manufacturer:
                  type: string
                  maxLength: 100
                  description: Manufacturer
                model:
                  type: string
                  maxLength: 100
                  description: Model
                green_power:
                  type: boolean
                  default: false
                  description: Green Power
                vehicle_communication_type_id:
                  type: integer
                  format: int32
                  description: Id of the vehicle communication type
                serial_number:
                  type: integer
                  format: int32
                  description: Serial number
                mounting_type:
                  type: string
                  enum:
                    - ''
                    - free_standing
                    - wall
                  description: Mounting type
                sticker:
                  type: string
                  maxLength: 100
                  description: Sticker
                color:
                  type: string
                  maxLength: 50
                  description: Color
                automatic_rebootable_rccb:
                  type: boolean
                  default: false
                  description: Automatic rebootable RCCB
                house_connection_box:
                  type: boolean
                  default: false
                  description: House connection box
                connection_cable:
                  type: string
                  maxLength: 100
                  description: Connection cable
                closing:
                  type: string
                  maxLength: 200
                  description: Closing
                building_level:
                  type: string
                  maxLength: 20
                  description: Building level
                parking_fees:
                  type: string
                  maxLength: 200
                  description: Parking fees
                crash_protection:
                  type: boolean
                  default: false
                  description: Crash protection
                mark:
                  type: string
                  maxLength: 200
                  description: Mark
                comment:
                  type: string
                  maxLength: 500
                  description: Comment
                ceiling_height:
                  type: number
                  format: float
                  description: Ceiling height
                investment_manager:
                  type: string
                  maxLength: 64
                  description: Investment manager
                project:
                  type: string
                  maxLength: 64
                  description: Project
                order_number:
                  type: string
                  maxLength: 64
                  description: Order Number
                notification_number:
                  type: string
                  maxLength: 64
                  description: Notification number
                internal_comment:
                  type: string
                  maxLength: 500
                  description: Internal comment
                upstream_supply_network:
                  type: string
                  maxLength: 32
                  description: Upstream supply network
                protective_switch_devices:
                  type: string
                  maxLength: 64
                  description: Protective switch devices
                full_safeguarding:
                  type: number
                  format: float
                  description: Full safeguarding in ampere
                open_24_7:
                  type: boolean
                  default: false
                  description: open 24-7
                block_reservation:
                  type: boolean
                  default: false
                  description: Block reservation
                article_number:
                  type: string
                  maxLength: 16
                  description: Article number
                conform_with_calibration_law:
                  type: boolean
                  default: false
                  description: Conform with calibration law
                has_payment_terminal:
                  type: boolean
                  default: false
                  description: Has payment terminal
                iso_instance:
                  type: string
                  maxLength: 64
                  description: ISO Instance
                calibration_law_deadline:
                  type: string
                  format: date
                  pattern: ^\d{4}-\d{2}-\d{2}$
                  description: Calibration law deadline
        required: true
      responses:
        '201':
          description: Station created
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - station
                properties:
                  station:
                    type: object
                    properties:
                      id:
                        type: integer
                        format: int32
                        description: Station id
                      created_at:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Date of creation
                      updated_at:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Date of updating
                      modification_date:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Date of modification
                      chargepoints:
                        type: array
                        items:
                          type: object
                          properties:
                            chargepoint_evse_id:
                              type: string
                              description: Chargepoint evse id
                          required:
                            - chargepoint_evse_id
                        description: List of evseIds of the chargepoint
                      location_id:
                        type: integer
                        format: int32
                        minimum: 0
                        description: Id of the location
                      controller_id:
                        type: integer
                        format: int32
                        description: Id of the Controller
                      export:
                        type: boolean
                        default: true
                        description: Export
                      evse:
                        type: string
                        maxLength: 50
                        description: Evses of the chargepoints
                      charging_technology:
                        type: string
                        enum:
                          - inductive
                          - conductive
                        description: Charging Technology
                      position:
                        type: string
                        maxLength: 100
                        description: Position
                      vehicle_type:
                        type: string
                        enum:
                          - ruralenergy
                          - omnibus
                          - four_wheeled
                          - two_wheeled
                        description: Vehicle Type
                      status:
                        type: string
                        enum:
                          - in_planning
                          - under_construction
                          - factory_acceptance_test
                          - demo
                          - active
                          - defect
                          - out_of_order
                          - removed
                          - undefined
                        description: Status
                      start_date:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Date of start
                      target_date:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Date of target
                      active_date:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Date of activation
                      out_of_order_date:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Out of order date
                      ip_protection_type:
                        type: string
                        maxLength: 5
                        description: IP protection type
                      particularities:
                        type: string
                        maxLength: 64
                        description: Particularities
                      manufacturer:
                        type: string
                        maxLength: 100
                        description: Manufacturer
                      model:
                        type: string
                        maxLength: 100
                        description: Model
                      green_power:
                        type: boolean
                        default: false
                        description: Green Power
                      vehicle_communication_type_id:
                        type: integer
                        format: int32
                        description: Id of the vehicle communication type
                      serial_number:
                        type: integer
                        format: int32
                        description: Serial number
                      mounting_type:
                        type: string
                        enum:
                          - ''
                          - free_standing
                          - wall
                        description: Mounting type
                      sticker:
                        type: string
                        maxLength: 100
                        description: Sticker
                      color:
                        type: string
                        maxLength: 50
                        description: Color
                      automatic_rebootable_rccb:
                        type: boolean
                        default: false
                        description: Automatic rebootable RCCB
                      house_connection_box:
                        type: boolean
                        default: false
                        description: House connection box
                      connection_cable:
                        type: string
                        maxLength: 100
                        description: Connection cable
                      closing:
                        type: string
                        maxLength: 200
                        description: Closing
                      building_level:
                        type: string
                        maxLength: 20
                        description: Building level
                      parking_fees:
                        type: string
                        maxLength: 200
                        description: Parking fees
                      crash_protection:
                        type: boolean
                        default: false
                        description: Crash protection
                      mark:
                        type: string
                        maxLength: 200
                        description: Mark
                      comment:
                        type: string
                        maxLength: 500
                        description: Comment
                      ceiling_height:
                        type: number
                        format: float
                        description: Ceiling height
                      investment_manager:
                        type: string
                        maxLength: 64
                        description: Investment manager
                      project:
                        type: string
                        maxLength: 64
                        description: Project
                      order_number:
                        type: string
                        maxLength: 64
                        description: Order Number
                      notification_number:
                        type: string
                        maxLength: 64
                        description: Notification number
                      internal_comment:
                        type: string
                        maxLength: 500
                        description: Internal comment
                      upstream_supply_network:
                        type: string
                        maxLength: 32
                        description: Upstream supply network
                      protective_switch_devices:
                        type: string
                        maxLength: 64
                        description: Protective switch devices
                      full_safeguarding:
                        type: number
                        format: float
                        description: Full safeguarding in ampere
                      open_24_7:
                        type: boolean
                        default: false
                        description: open 24-7
                      block_reservation:
                        type: boolean
                        default: false
                        description: Block reservation
                      article_number:
                        type: string
                        maxLength: 16
                        description: Article number
                      conform_with_calibration_law:
                        type: boolean
                        default: false
                        description: Conform with calibration law
                      has_payment_terminal:
                        type: boolean
                        default: false
                        description: Has payment terminal
                      iso_instance:
                        type: string
                        maxLength: 64
                        description: ISO Instance
                      calibration_law_deadline:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Calibration law deadline
                    required:
                      - id
                      - created_at
                      - updated_at
                      - modification_date
                      - chargepoints
                      - location_id
                    description: Station
        '401':
          description: Unauthorized
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '404':
          description: Not found
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '405':
          description: Method not allowed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '422':
          description: Request validation failed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - errors
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        errorKey:
                          type: string
                          description: A key identifying the error
                        message:
                          type: string
                          description: The error message
                        parameter:
                          type: string
                          description: The parameter that caused the error, if any
                      required:
                        - errorKey
                        - message
                        - parameter
                      description: Error
                    description: List of errors
        '429':
          description: Too many requests
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
      security:
        - bearer:
            - asset:station
components:
  headers:
    Content-Language:
      description: The locale of the response content (BCP 47 language tag).
      schema:
        type: string
        example: en
  securitySchemes:
    bearer:
      type: http
      description: OAuth2 Bearer Authorization
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Creates a chargepoint](/api-reference/chargepoints/creates-a-chargepoint.md)
- [Creates a meter](/api-reference/meters/creates-a-meter.md)
- [Creates a contract](/api-reference/contracts/creates-a-contract.md)
